Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network62.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
62.0.0.0
Broadcast address
62.63.255.255
First usable
62.0.0.1
Last usable
62.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 3E000000 · Integer 1040187392 to 1044381695
Reverse DNS zones
0.62.in-addr.arpa
1.62.in-addr.arpa
2.62.in-addr.arpa
3.62.in-addr.arpa
4.62.in-addr.arpa
5.62.in-addr.arpa
6.62.in-addr.arpa
7.62.in-addr.arpa
8.62.in-addr.arpa
9.62.in-addr.arpa
10.62.in-addr.arpa
11.62.in-addr.arpa
12.62.in-addr.arpa
13.62.in-addr.arpa
14.62.in-addr.arpa
15.62.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111110.00000000.00000000.0000000062.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00111110.00000000.00000000.0000000062.0.0.0
Broadcast00111110.00111111.11111111.1111111162.63.255.255
Split into smaller subnets/21

62.0.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
162.0.0.0/2162.0.0.1 to 62.0.7.25462.0.7.2552,046
262.0.8.0/2162.0.8.1 to 62.0.15.25462.0.15.2552,046
362.0.16.0/2162.0.16.1 to 62.0.23.25462.0.23.2552,046
462.0.24.0/2162.0.24.1 to 62.0.31.25462.0.31.2552,046
562.0.32.0/2162.0.32.1 to 62.0.39.25462.0.39.2552,046
662.0.40.0/2162.0.40.1 to 62.0.47.25462.0.47.2552,046
762.0.48.0/2162.0.48.1 to 62.0.55.25462.0.55.2552,046
862.0.56.0/2162.0.56.1 to 62.0.63.25462.0.63.2552,046
962.0.64.0/2162.0.64.1 to 62.0.71.25462.0.71.2552,046
1062.0.72.0/2162.0.72.1 to 62.0.79.25462.0.79.2552,046
1162.0.80.0/2162.0.80.1 to 62.0.87.25462.0.87.2552,046
1262.0.88.0/2162.0.88.1 to 62.0.95.25462.0.95.2552,046
1362.0.96.0/2162.0.96.1 to 62.0.103.25462.0.103.2552,046
1462.0.104.0/2162.0.104.1 to 62.0.111.25462.0.111.2552,046
1562.0.112.0/2162.0.112.1 to 62.0.119.25462.0.119.2552,046
1662.0.120.0/2162.0.120.1 to 62.0.127.25462.0.127.2552,046
1762.0.128.0/2162.0.128.1 to 62.0.135.25462.0.135.2552,046
1862.0.136.0/2162.0.136.1 to 62.0.143.25462.0.143.2552,046
1962.0.144.0/2162.0.144.1 to 62.0.151.25462.0.151.2552,046
2062.0.152.0/2162.0.152.1 to 62.0.159.25462.0.159.2552,046
2162.0.160.0/2162.0.160.1 to 62.0.167.25462.0.167.2552,046
2262.0.168.0/2162.0.168.1 to 62.0.175.25462.0.175.2552,046
2362.0.176.0/2162.0.176.1 to 62.0.183.25462.0.183.2552,046
2462.0.184.0/2162.0.184.1 to 62.0.191.25462.0.191.2552,046
2562.0.192.0/2162.0.192.1 to 62.0.199.25462.0.199.2552,046
2662.0.200.0/2162.0.200.1 to 62.0.207.25462.0.207.2552,046
2762.0.208.0/2162.0.208.1 to 62.0.215.25462.0.215.2552,046
2862.0.216.0/2162.0.216.1 to 62.0.223.25462.0.223.2552,046
2962.0.224.0/2162.0.224.1 to 62.0.231.25462.0.231.2552,046
3062.0.232.0/2162.0.232.1 to 62.0.239.25462.0.239.2552,046
3162.0.240.0/2162.0.240.1 to 62.0.247.25462.0.247.2552,046
3262.0.248.0/2162.0.248.1 to 62.0.255.25462.0.255.2552,046
3362.1.0.0/2162.1.0.1 to 62.1.7.25462.1.7.2552,046
3462.1.8.0/2162.1.8.1 to 62.1.15.25462.1.15.2552,046
3562.1.16.0/2162.1.16.1 to 62.1.23.25462.1.23.2552,046
3662.1.24.0/2162.1.24.1 to 62.1.31.25462.1.31.2552,046
3762.1.32.0/2162.1.32.1 to 62.1.39.25462.1.39.2552,046
3862.1.40.0/2162.1.40.1 to 62.1.47.25462.1.47.2552,046
3962.1.48.0/2162.1.48.1 to 62.1.55.25462.1.55.2552,046
4062.1.56.0/2162.1.56.1 to 62.1.63.25462.1.63.2552,046
4162.1.64.0/2162.1.64.1 to 62.1.71.25462.1.71.2552,046
4262.1.72.0/2162.1.72.1 to 62.1.79.25462.1.79.2552,046
4362.1.80.0/2162.1.80.1 to 62.1.87.25462.1.87.2552,046
4462.1.88.0/2162.1.88.1 to 62.1.95.25462.1.95.2552,046
4562.1.96.0/2162.1.96.1 to 62.1.103.25462.1.103.2552,046
4662.1.104.0/2162.1.104.1 to 62.1.111.25462.1.111.2552,046
4762.1.112.0/2162.1.112.1 to 62.1.119.25462.1.119.2552,046
4862.1.120.0/2162.1.120.1 to 62.1.127.25462.1.127.2552,046
4962.1.128.0/2162.1.128.1 to 62.1.135.25462.1.135.2552,046
5062.1.136.0/2162.1.136.1 to 62.1.143.25462.1.143.2552,046
5162.1.144.0/2162.1.144.1 to 62.1.151.25462.1.151.2552,046
5262.1.152.0/2162.1.152.1 to 62.1.159.25462.1.159.2552,046
5362.1.160.0/2162.1.160.1 to 62.1.167.25462.1.167.2552,046
5462.1.168.0/2162.1.168.1 to 62.1.175.25462.1.175.2552,046
5562.1.176.0/2162.1.176.1 to 62.1.183.25462.1.183.2552,046
5662.1.184.0/2162.1.184.1 to 62.1.191.25462.1.191.2552,046
5762.1.192.0/2162.1.192.1 to 62.1.199.25462.1.199.2552,046
5862.1.200.0/2162.1.200.1 to 62.1.207.25462.1.207.2552,046
5962.1.208.0/2162.1.208.1 to 62.1.215.25462.1.215.2552,046
6062.1.216.0/2162.1.216.1 to 62.1.223.25462.1.223.2552,046
6162.1.224.0/2162.1.224.1 to 62.1.231.25462.1.231.2552,046
6262.1.232.0/2162.1.232.1 to 62.1.239.25462.1.239.2552,046
6362.1.240.0/2162.1.240.1 to 62.1.247.25462.1.247.2552,046
6462.1.248.0/2162.1.248.1 to 62.1.255.25462.1.255.2552,046
6562.2.0.0/2162.2.0.1 to 62.2.7.25462.2.7.2552,046
6662.2.8.0/2162.2.8.1 to 62.2.15.25462.2.15.2552,046
6762.2.16.0/2162.2.16.1 to 62.2.23.25462.2.23.2552,046
6862.2.24.0/2162.2.24.1 to 62.2.31.25462.2.31.2552,046
6962.2.32.0/2162.2.32.1 to 62.2.39.25462.2.39.2552,046
7062.2.40.0/2162.2.40.1 to 62.2.47.25462.2.47.2552,046
7162.2.48.0/2162.2.48.1 to 62.2.55.25462.2.55.2552,046
7262.2.56.0/2162.2.56.1 to 62.2.63.25462.2.63.2552,046
7362.2.64.0/2162.2.64.1 to 62.2.71.25462.2.71.2552,046
7462.2.72.0/2162.2.72.1 to 62.2.79.25462.2.79.2552,046
7562.2.80.0/2162.2.80.1 to 62.2.87.25462.2.87.2552,046
7662.2.88.0/2162.2.88.1 to 62.2.95.25462.2.95.2552,046
7762.2.96.0/2162.2.96.1 to 62.2.103.25462.2.103.2552,046
7862.2.104.0/2162.2.104.1 to 62.2.111.25462.2.111.2552,046
7962.2.112.0/2162.2.112.1 to 62.2.119.25462.2.119.2552,046
8062.2.120.0/2162.2.120.1 to 62.2.127.25462.2.127.2552,046
8162.2.128.0/2162.2.128.1 to 62.2.135.25462.2.135.2552,046
8262.2.136.0/2162.2.136.1 to 62.2.143.25462.2.143.2552,046
8362.2.144.0/2162.2.144.1 to 62.2.151.25462.2.151.2552,046
8462.2.152.0/2162.2.152.1 to 62.2.159.25462.2.159.2552,046
8562.2.160.0/2162.2.160.1 to 62.2.167.25462.2.167.2552,046
8662.2.168.0/2162.2.168.1 to 62.2.175.25462.2.175.2552,046
8762.2.176.0/2162.2.176.1 to 62.2.183.25462.2.183.2552,046
8862.2.184.0/2162.2.184.1 to 62.2.191.25462.2.191.2552,046
8962.2.192.0/2162.2.192.1 to 62.2.199.25462.2.199.2552,046
9062.2.200.0/2162.2.200.1 to 62.2.207.25462.2.207.2552,046
9162.2.208.0/2162.2.208.1 to 62.2.215.25462.2.215.2552,046
9262.2.216.0/2162.2.216.1 to 62.2.223.25462.2.223.2552,046
9362.2.224.0/2162.2.224.1 to 62.2.231.25462.2.231.2552,046
9462.2.232.0/2162.2.232.1 to 62.2.239.25462.2.239.2552,046
9562.2.240.0/2162.2.240.1 to 62.2.247.25462.2.247.2552,046
9662.2.248.0/2162.2.248.1 to 62.2.255.25462.2.255.2552,046
9762.3.0.0/2162.3.0.1 to 62.3.7.25462.3.7.2552,046
9862.3.8.0/2162.3.8.1 to 62.3.15.25462.3.15.2552,046
9962.3.16.0/2162.3.16.1 to 62.3.23.25462.3.23.2552,046
10062.3.24.0/2162.3.24.1 to 62.3.31.25462.3.31.2552,046
10162.3.32.0/2162.3.32.1 to 62.3.39.25462.3.39.2552,046
10262.3.40.0/2162.3.40.1 to 62.3.47.25462.3.47.2552,046
10362.3.48.0/2162.3.48.1 to 62.3.55.25462.3.55.2552,046
10462.3.56.0/2162.3.56.1 to 62.3.63.25462.3.63.2552,046
10562.3.64.0/2162.3.64.1 to 62.3.71.25462.3.71.2552,046
10662.3.72.0/2162.3.72.1 to 62.3.79.25462.3.79.2552,046
10762.3.80.0/2162.3.80.1 to 62.3.87.25462.3.87.2552,046
10862.3.88.0/2162.3.88.1 to 62.3.95.25462.3.95.2552,046
10962.3.96.0/2162.3.96.1 to 62.3.103.25462.3.103.2552,046
11062.3.104.0/2162.3.104.1 to 62.3.111.25462.3.111.2552,046
11162.3.112.0/2162.3.112.1 to 62.3.119.25462.3.119.2552,046
11262.3.120.0/2162.3.120.1 to 62.3.127.25462.3.127.2552,046
11362.3.128.0/2162.3.128.1 to 62.3.135.25462.3.135.2552,046
11462.3.136.0/2162.3.136.1 to 62.3.143.25462.3.143.2552,046
11562.3.144.0/2162.3.144.1 to 62.3.151.25462.3.151.2552,046
11662.3.152.0/2162.3.152.1 to 62.3.159.25462.3.159.2552,046
11762.3.160.0/2162.3.160.1 to 62.3.167.25462.3.167.2552,046
11862.3.168.0/2162.3.168.1 to 62.3.175.25462.3.175.2552,046
11962.3.176.0/2162.3.176.1 to 62.3.183.25462.3.183.2552,046
12062.3.184.0/2162.3.184.1 to 62.3.191.25462.3.191.2552,046
12162.3.192.0/2162.3.192.1 to 62.3.199.25462.3.199.2552,046
12262.3.200.0/2162.3.200.1 to 62.3.207.25462.3.207.2552,046
12362.3.208.0/2162.3.208.1 to 62.3.215.25462.3.215.2552,046
12462.3.216.0/2162.3.216.1 to 62.3.223.25462.3.223.2552,046
12562.3.224.0/2162.3.224.1 to 62.3.231.25462.3.231.2552,046
12662.3.232.0/2162.3.232.1 to 62.3.239.25462.3.239.2552,046
12762.3.240.0/2162.3.240.1 to 62.3.247.25462.3.247.2552,046
12862.3.248.0/2162.3.248.1 to 62.3.255.25462.3.255.2552,046
12962.4.0.0/2162.4.0.1 to 62.4.7.25462.4.7.2552,046
13062.4.8.0/2162.4.8.1 to 62.4.15.25462.4.15.2552,046
13162.4.16.0/2162.4.16.1 to 62.4.23.25462.4.23.2552,046
13262.4.24.0/2162.4.24.1 to 62.4.31.25462.4.31.2552,046
13362.4.32.0/2162.4.32.1 to 62.4.39.25462.4.39.2552,046
13462.4.40.0/2162.4.40.1 to 62.4.47.25462.4.47.2552,046
13562.4.48.0/2162.4.48.1 to 62.4.55.25462.4.55.2552,046
13662.4.56.0/2162.4.56.1 to 62.4.63.25462.4.63.2552,046
13762.4.64.0/2162.4.64.1 to 62.4.71.25462.4.71.2552,046
13862.4.72.0/2162.4.72.1 to 62.4.79.25462.4.79.2552,046
13962.4.80.0/2162.4.80.1 to 62.4.87.25462.4.87.2552,046
14062.4.88.0/2162.4.88.1 to 62.4.95.25462.4.95.2552,046
14162.4.96.0/2162.4.96.1 to 62.4.103.25462.4.103.2552,046
14262.4.104.0/2162.4.104.1 to 62.4.111.25462.4.111.2552,046
14362.4.112.0/2162.4.112.1 to 62.4.119.25462.4.119.2552,046
14462.4.120.0/2162.4.120.1 to 62.4.127.25462.4.127.2552,046
14562.4.128.0/2162.4.128.1 to 62.4.135.25462.4.135.2552,046
14662.4.136.0/2162.4.136.1 to 62.4.143.25462.4.143.2552,046
14762.4.144.0/2162.4.144.1 to 62.4.151.25462.4.151.2552,046
14862.4.152.0/2162.4.152.1 to 62.4.159.25462.4.159.2552,046
14962.4.160.0/2162.4.160.1 to 62.4.167.25462.4.167.2552,046
15062.4.168.0/2162.4.168.1 to 62.4.175.25462.4.175.2552,046
15162.4.176.0/2162.4.176.1 to 62.4.183.25462.4.183.2552,046
15262.4.184.0/2162.4.184.1 to 62.4.191.25462.4.191.2552,046
15362.4.192.0/2162.4.192.1 to 62.4.199.25462.4.199.2552,046
15462.4.200.0/2162.4.200.1 to 62.4.207.25462.4.207.2552,046
15562.4.208.0/2162.4.208.1 to 62.4.215.25462.4.215.2552,046
15662.4.216.0/2162.4.216.1 to 62.4.223.25462.4.223.2552,046
15762.4.224.0/2162.4.224.1 to 62.4.231.25462.4.231.2552,046
15862.4.232.0/2162.4.232.1 to 62.4.239.25462.4.239.2552,046
15962.4.240.0/2162.4.240.1 to 62.4.247.25462.4.247.2552,046
16062.4.248.0/2162.4.248.1 to 62.4.255.25462.4.255.2552,046
16162.5.0.0/2162.5.0.1 to 62.5.7.25462.5.7.2552,046
16262.5.8.0/2162.5.8.1 to 62.5.15.25462.5.15.2552,046
16362.5.16.0/2162.5.16.1 to 62.5.23.25462.5.23.2552,046
16462.5.24.0/2162.5.24.1 to 62.5.31.25462.5.31.2552,046
16562.5.32.0/2162.5.32.1 to 62.5.39.25462.5.39.2552,046
16662.5.40.0/2162.5.40.1 to 62.5.47.25462.5.47.2552,046
16762.5.48.0/2162.5.48.1 to 62.5.55.25462.5.55.2552,046
16862.5.56.0/2162.5.56.1 to 62.5.63.25462.5.63.2552,046
16962.5.64.0/2162.5.64.1 to 62.5.71.25462.5.71.2552,046
17062.5.72.0/2162.5.72.1 to 62.5.79.25462.5.79.2552,046
17162.5.80.0/2162.5.80.1 to 62.5.87.25462.5.87.2552,046
17262.5.88.0/2162.5.88.1 to 62.5.95.25462.5.95.2552,046
17362.5.96.0/2162.5.96.1 to 62.5.103.25462.5.103.2552,046
17462.5.104.0/2162.5.104.1 to 62.5.111.25462.5.111.2552,046
17562.5.112.0/2162.5.112.1 to 62.5.119.25462.5.119.2552,046
17662.5.120.0/2162.5.120.1 to 62.5.127.25462.5.127.2552,046
17762.5.128.0/2162.5.128.1 to 62.5.135.25462.5.135.2552,046
17862.5.136.0/2162.5.136.1 to 62.5.143.25462.5.143.2552,046
17962.5.144.0/2162.5.144.1 to 62.5.151.25462.5.151.2552,046
18062.5.152.0/2162.5.152.1 to 62.5.159.25462.5.159.2552,046
18162.5.160.0/2162.5.160.1 to 62.5.167.25462.5.167.2552,046
18262.5.168.0/2162.5.168.1 to 62.5.175.25462.5.175.2552,046
18362.5.176.0/2162.5.176.1 to 62.5.183.25462.5.183.2552,046
18462.5.184.0/2162.5.184.1 to 62.5.191.25462.5.191.2552,046
18562.5.192.0/2162.5.192.1 to 62.5.199.25462.5.199.2552,046
18662.5.200.0/2162.5.200.1 to 62.5.207.25462.5.207.2552,046
18762.5.208.0/2162.5.208.1 to 62.5.215.25462.5.215.2552,046
18862.5.216.0/2162.5.216.1 to 62.5.223.25462.5.223.2552,046
18962.5.224.0/2162.5.224.1 to 62.5.231.25462.5.231.2552,046
19062.5.232.0/2162.5.232.1 to 62.5.239.25462.5.239.2552,046
19162.5.240.0/2162.5.240.1 to 62.5.247.25462.5.247.2552,046
19262.5.248.0/2162.5.248.1 to 62.5.255.25462.5.255.2552,046
19362.6.0.0/2162.6.0.1 to 62.6.7.25462.6.7.2552,046
19462.6.8.0/2162.6.8.1 to 62.6.15.25462.6.15.2552,046
19562.6.16.0/2162.6.16.1 to 62.6.23.25462.6.23.2552,046
19662.6.24.0/2162.6.24.1 to 62.6.31.25462.6.31.2552,046
19762.6.32.0/2162.6.32.1 to 62.6.39.25462.6.39.2552,046
19862.6.40.0/2162.6.40.1 to 62.6.47.25462.6.47.2552,046
19962.6.48.0/2162.6.48.1 to 62.6.55.25462.6.55.2552,046
20062.6.56.0/2162.6.56.1 to 62.6.63.25462.6.63.2552,046
20162.6.64.0/2162.6.64.1 to 62.6.71.25462.6.71.2552,046
20262.6.72.0/2162.6.72.1 to 62.6.79.25462.6.79.2552,046
20362.6.80.0/2162.6.80.1 to 62.6.87.25462.6.87.2552,046
20462.6.88.0/2162.6.88.1 to 62.6.95.25462.6.95.2552,046
20562.6.96.0/2162.6.96.1 to 62.6.103.25462.6.103.2552,046
20662.6.104.0/2162.6.104.1 to 62.6.111.25462.6.111.2552,046
20762.6.112.0/2162.6.112.1 to 62.6.119.25462.6.119.2552,046
20862.6.120.0/2162.6.120.1 to 62.6.127.25462.6.127.2552,046
20962.6.128.0/2162.6.128.1 to 62.6.135.25462.6.135.2552,046
21062.6.136.0/2162.6.136.1 to 62.6.143.25462.6.143.2552,046
21162.6.144.0/2162.6.144.1 to 62.6.151.25462.6.151.2552,046
21262.6.152.0/2162.6.152.1 to 62.6.159.25462.6.159.2552,046
21362.6.160.0/2162.6.160.1 to 62.6.167.25462.6.167.2552,046
21462.6.168.0/2162.6.168.1 to 62.6.175.25462.6.175.2552,046
21562.6.176.0/2162.6.176.1 to 62.6.183.25462.6.183.2552,046
21662.6.184.0/2162.6.184.1 to 62.6.191.25462.6.191.2552,046
21762.6.192.0/2162.6.192.1 to 62.6.199.25462.6.199.2552,046
21862.6.200.0/2162.6.200.1 to 62.6.207.25462.6.207.2552,046
21962.6.208.0/2162.6.208.1 to 62.6.215.25462.6.215.2552,046
22062.6.216.0/2162.6.216.1 to 62.6.223.25462.6.223.2552,046
22162.6.224.0/2162.6.224.1 to 62.6.231.25462.6.231.2552,046
22262.6.232.0/2162.6.232.1 to 62.6.239.25462.6.239.2552,046
22362.6.240.0/2162.6.240.1 to 62.6.247.25462.6.247.2552,046
22462.6.248.0/2162.6.248.1 to 62.6.255.25462.6.255.2552,046
22562.7.0.0/2162.7.0.1 to 62.7.7.25462.7.7.2552,046
22662.7.8.0/2162.7.8.1 to 62.7.15.25462.7.15.2552,046
22762.7.16.0/2162.7.16.1 to 62.7.23.25462.7.23.2552,046
22862.7.24.0/2162.7.24.1 to 62.7.31.25462.7.31.2552,046
22962.7.32.0/2162.7.32.1 to 62.7.39.25462.7.39.2552,046
23062.7.40.0/2162.7.40.1 to 62.7.47.25462.7.47.2552,046
23162.7.48.0/2162.7.48.1 to 62.7.55.25462.7.55.2552,046
23262.7.56.0/2162.7.56.1 to 62.7.63.25462.7.63.2552,046
23362.7.64.0/2162.7.64.1 to 62.7.71.25462.7.71.2552,046
23462.7.72.0/2162.7.72.1 to 62.7.79.25462.7.79.2552,046
23562.7.80.0/2162.7.80.1 to 62.7.87.25462.7.87.2552,046
23662.7.88.0/2162.7.88.1 to 62.7.95.25462.7.95.2552,046
23762.7.96.0/2162.7.96.1 to 62.7.103.25462.7.103.2552,046
23862.7.104.0/2162.7.104.1 to 62.7.111.25462.7.111.2552,046
23962.7.112.0/2162.7.112.1 to 62.7.119.25462.7.119.2552,046
24062.7.120.0/2162.7.120.1 to 62.7.127.25462.7.127.2552,046
24162.7.128.0/2162.7.128.1 to 62.7.135.25462.7.135.2552,046
24262.7.136.0/2162.7.136.1 to 62.7.143.25462.7.143.2552,046
24362.7.144.0/2162.7.144.1 to 62.7.151.25462.7.151.2552,046
24462.7.152.0/2162.7.152.1 to 62.7.159.25462.7.159.2552,046
24562.7.160.0/2162.7.160.1 to 62.7.167.25462.7.167.2552,046
24662.7.168.0/2162.7.168.1 to 62.7.175.25462.7.175.2552,046
24762.7.176.0/2162.7.176.1 to 62.7.183.25462.7.183.2552,046
24862.7.184.0/2162.7.184.1 to 62.7.191.25462.7.191.2552,046
24962.7.192.0/2162.7.192.1 to 62.7.199.25462.7.199.2552,046
25062.7.200.0/2162.7.200.1 to 62.7.207.25462.7.207.2552,046
25162.7.208.0/2162.7.208.1 to 62.7.215.25462.7.215.2552,046
25262.7.216.0/2162.7.216.1 to 62.7.223.25462.7.223.2552,046
25362.7.224.0/2162.7.224.1 to 62.7.231.25462.7.231.2552,046
25462.7.232.0/2162.7.232.1 to 62.7.239.25462.7.239.2552,046
25562.7.240.0/2162.7.240.1 to 62.7.247.25462.7.247.2552,046
25662.7.248.0/2162.7.248.1 to 62.7.255.25462.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses